jrice174
Civil/Environmental
- Nov 8, 2004
- 129
I'm building a block using VBA and I'm trying to have rotated text. I have something wrong with the rotate but I can't figure it out.
Pt1(0) = 0: Pt1(1) = 0
Set objBlock = ThisDrawing.Blocks.Add(Pt1, "BLOCKNAME")
Pt1(0) = 0: Pt1(1) = 0: Pt2(0) = 0: Pt2(1) = 14.164
objBlock.AddLine Pt1, Pt2
Pt1(0) = -0.4936: Pt1(1) = 8.917
objBlock.AddText "TEXT", Pt1, 1.25
objText.Rotate Pt1, dblRotAngle
Pt1(0) = 0: Pt1(1) = 0
Set objBlock = ThisDrawing.Blocks.Add(Pt1, "BLOCKNAME")
Pt1(0) = 0: Pt1(1) = 0: Pt2(0) = 0: Pt2(1) = 14.164
objBlock.AddLine Pt1, Pt2
Pt1(0) = -0.4936: Pt1(1) = 8.917
objBlock.AddText "TEXT", Pt1, 1.25
objText.Rotate Pt1, dblRotAngle